com.independentsoft.exchange

## Class StandardGroupBy

- java.lang.Object
- - com.independentsoft.exchange.StandardGroupBy

- All Implemented Interfaces:
    IGroupBy

      public class StandardGroupBy
      extends java.lang.Object
      implements IGroupBy

  Provides standard groupings for FindItem queries.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardGroupBy()` Initializes a new instance of the StandardGroupBy class.
    `StandardGroupBy(StandardGroupByPropertyPath propertyPath)` Initializes a new instance of the StandardGroupBy class.
    `StandardGroupBy(StandardGroupByPropertyPath propertyPath, SortDirection order)` Initializes a new instance of the StandardGroupBy class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortDirection` | `getOrder()` Gets the order of the groups in the grouped item array that is returned in the response.
    `StandardGroupByPropertyPath` | `getPropertyPath()` Gets the standard property that is used for a grouped query.
    `void` | `setOrder(SortDirection order)` Sets the order of the groups in the grouped item array that is returned in the response.
    `void` | `setPropertyPath(StandardGroupByPropertyPath propertyPath)` Sets the standard property that is used for a grouped query.
    `java.lang.String` | `toString()` Converts the value of the current StandardGroupBy object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardGroupBy

          public StandardGroupBy()

      Initializes a new instance of the StandardGroupBy class.

    - #### StandardGroupBy

          public StandardGroupBy(StandardGroupByPropertyPath propertyPath)

      Initializes a new instance of the StandardGroupBy class.
      Parameters:
        `propertyPath` - the property path

    - #### StandardGroupBy

          public StandardGroupBy(StandardGroupByPropertyPath propertyPath,
                                 SortDirection order)

      Initializes a new instance of the StandardGroupBy class.
      Parameters:
        `propertyPath` - the property path
        `order` - the order

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current StandardGroupBy object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPath

          public StandardGroupByPropertyPath getPropertyPath()

      Gets the standard property that is used for a grouped query.
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(StandardGroupByPropertyPath propertyPath)

      Sets the standard property that is used for a grouped query.
      Parameters:
        `propertyPath` - the new property path

    - #### getOrder

          public SortDirection getOrder()

      Gets the order of the groups in the grouped item array that is returned in the response.
      Returns:
        the order

    - #### setOrder

          public void setOrder(SortDirection order)

      Sets the order of the groups in the grouped item array that is returned in the response.
      Parameters:
        `order` - the new order